using System.Collections.Generic;
using _Core;

namespace _Combo
{
    internal class ShortLink
    {
        public class Request : Serializable
        {
        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("game_id")]
            public string gameId;
            [Newtonsoft.Json.JsonProperty("link_type")]
            public string linkType;

            [Newtonsoft.Json.JsonProperty("show_navigation_bar")]
            public bool showNavigationBar;

            [Newtonsoft.Json.JsonProperty("orientation")]
            public string orientation;

            [Newtonsoft.Json.JsonProperty("required_game_data")]
            public List<string> requiredGameData;
            [Newtonsoft.Json.JsonProperty("open_with")]
            public string openWith;
            [Newtonsoft.Json.JsonProperty("id_token_not_required")]
            public bool idTokenNotRequired;
        }
    }
}
